Skip to main content
GET
JavaScript

Authorizations

Authorization
string
header
required

An Account API key, account-scoped JWT, App API key, or user OAuth token. Prepend the key or token with Bearer, for example Bearer ***************************.

Path Parameters

id
string
required

Swap ID returned from POST /swaps.

Response

swap status retrieved

account_id
string
required

Account ID that owns the wallet used for the swap.

Example:

"biz_xxxxxxxxxxxxxx"

id
string
required

Swap ID.

Example:

"vault-swap-cwal_xxxxxxxxxxxxxx"

object
enum<string>
required
Available options:
swap
Example:

"swap"

status
enum<string>
required

Current swap status. complete and failed are terminal.

Available options:
queued,
working,
complete,
failed
Example:

"failed"

tx_hashes
string[]
required

On-chain transaction hashes produced by the swap.

error
string | null

Latest error returned for a failed swap.

Example:

"Swap reverted: quoted price moved beyond the slippage tolerance"